using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [GlobalClass]
  public partial class Gravity:CharacterControllerAction
  {
    [Export]
    public float strength = 10;

    protected override void _OnTrigger()
    {
      if ( body.IsOnFloor() )
      {
        return;
      }
      // RJLog.Log( controller.body.Velocity );
      AddVelocity( Vector3.Down * strength );
    }
  }
}