
using Godot;
using Rokojori;
 
namespace Rokojori
{ 
  public enum UIStyleNumberProperty
  {    
    Left,
    Right,
    Bottom,
    Top,

    Width,
    Height,

    ElementSpacing,
    LineSpacing,
    HorizontalAlignment,
    VerticalAlignment,
    VerticalPlacement,

    Margin,
    MarginLeft,
    MarginRight,
    MarginTop,
    MarginBottom,

    PivotX,
    PivotY,

    Rotation,

    Scale,
    ScaleX,
    ScaleY,

    FontSize,
    FontOutlineSize,
    FontShadowSize,
    FontShadowOffsetX,
    FontShadowOffsetY
  }

  public enum UIStyleColorProperty
  {
    FontColor,
    FontOutlineColor,
    FontShadowColor
  }
}